---
title: Pan Auth Advanced
description: Advanced asynchronous PAN authentication with optional OCR image and face photo verification.
---

This api is for advanced authentication for PAN number. We have to pass PAN Number to be authenticated, Exact name as per PAN, PAN Card document image - URL, Selfie or Photograph of the PAN Holder - URL, PAN Card document image - Base64 value and Selfie or Photograph of the PAN Holder - Base64 value in request. If the request is valid, we will get a success response. It is an asynchronous request as per the code the result will be written to a web url or send to mail.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/pan-authentication-advanced
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| pan  required | Text  <br>(10) | PAN Number to be authenticated | `CBGAB1234B` |
| name  required | Text  <br>(3-50) | Exact name as per PAN | `Akhil` |
| oc-image-url  optional | Text | PAN Card document image - URL of in Supported document types: JPEG, JPG, PNG, PDF, TIFF |
| face-image-url  optional | Text | Selfie or Photograph of the PAN Holder - URL of in Supported document types: JPEG, JPG, PNG, PDF, TIFF |
| ocrImageB64  optional | Text | PAN Card document image - Base64 value of in Supported document types: JPEG, JPG, PNG, PDF, TIFF |
| faceImageB64  optional | Text | Selfie or Photograph of the PAN Holder - Base64 value of in Supported document types: JPEG, JPG, PNG, PDF, TIFF |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | 400- fail,200-success(length 3) | `400,200` |
| message  required | Text | success, fail | `success,fail` |
| data  required | Text | { "message": "Request Submitted Successfully" } |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/pan-authentication-advanced' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/json' \
--data-raw {
      'pan': 'CBGAB1234B',
      'name': 'Akhil',
      'oc-image-url' : '',
      'face-image-url': '',
      'ocrImageB64': '',
      'faceImageB64': '',
      'consent': 'Y'
    }
```

### Success Response

```
{
    "status": "200",
    "message": "success",
    "data": {
        "message": "Request Submitted Successfully"
    }
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```